OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class TcpEventProxy

    java.lang.Object
      org.opennms.netmgt.utils.TcpEventProxy

All Implemented Interfaces:
  EventProxy

public final class TcpEventProxy
extends java.lang.Object
implements EventProxy

This is the interface used to send events into the event subsystem - It is typically used by the poller framework plugins that perform service monitoring to send out aprropriate events. Can also be used by capsd, discovery etc.

Author:
  Sowmya Kumaraswamy , OpenNMS

Nested Class Summary
`class` `TcpEventProxy.Connection`

Field Summary
`private int` `m_port`
`private java.net.InetAddress` `m_target`
`private static java.net.InetAddress` `s_default_host`
`private static int` `s_default_port`

Constructor Summary
`TcpEventProxy()`
`TcpEventProxy(java.net.InetAddress target)`
`TcpEventProxy(java.net.InetAddress target, int port)`
`TcpEventProxy(int port)`

Method Summary
`void` `send(Event event)` This method is called to send the event out
`void` `send(Log eventLog)` This method is called to send an event log containing multiple events out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_default_port

    private static final int s_default_port

See Also:
  Constant Field Values

### s_default_host

    private static final java.net.InetAddress s_default_host

### m_target

    private java.net.InetAddress m_target

### m_port

    private int m_port

Constructor Detail

### TcpEventProxy

    public TcpEventProxy()

### TcpEventProxy

    public TcpEventProxy(int port)

### TcpEventProxy

    public TcpEventProxy(java.net.InetAddress target)

### TcpEventProxy

    public TcpEventProxy(java.net.InetAddress target,
                         int port)

Method Detail

### send

    public void send(Event event)
              throws EventProxyException

  This method is called to send the event out

  Specified by:
    `send` in interface `EventProxy`
  Parameters:
    `event` - the event to be sent out
  Throws:
    `java.lang.reflect.UndeclaredThrowableException` - thrown if the send fails for any reason
    `EventProxyException` - thrown if the send fails for any reason

### send

    public void send(Log eventLog)
              throws EventProxyException

  This method is called to send an event log containing multiple events out.

  Specified by:
    `send` in interface `EventProxy`
  Parameters:
    `eventLog` - the events to be sent out
  Throws:
    `java.lang.reflect.UndeclaredThrowableException` - thrown if the send fails for any reason
    `EventProxyException` - thrown if the send fails for any reason

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.